
Katello - Bug #4853

Subscriptions show page produces 500 error
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: API   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Associated revisions

Revision b8f8ebdd - 03/25/2014 08:46 PM - Eric Helms

Fixes #4853: Prevents 500 error loading subscription details from API.

Previous changes to ensure the use of Foreman's authentication and authorization

call resulted in the subscriptions details breaking. The find_subscriptions

method makes a call out to Candlepin which requires a current user. Thus,

the authorize method was moved higher in the filter stack and the entities

required to do authorization such as the provider, and organization were

placed prior to the authorization check.

Revision 7f6eb115 - 03/26/2014 06:21 PM - Eric Helms

Merge pull request #3886 from ehelms/fixes-4853

Fixes #4853: Prevents 500 error loading subscription details from API.

History

#1 - 03/26/2014 06:53 PM - Eric Helms

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:b8f8ebddd3e7e72c82e38394162b1c3a229f6c81.

#2 - 08/21/2014 02:37 PM - Eric Helms

- translation missing: en.field_release set to 13
